Source: haskell-data-accessor
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends: debhelper (>= 10),
 haskell-devscripts (>= 0.13),
 cdbs,
 ghc (>= 8),
 ghc-prof,
Build-Depends-Indep: ghc-doc,
Standards-Version: 4.1.4
Homepage: http://www.haskell.org/haskellwiki/Record_access
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-data-accessor
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-data-accessor]

Package: libghc-data-accessor-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Utilities for accessing and manipulating fields of records${haskell:ShortBlurb}
 With this library you can define record field accessors which allow
 setting, getting and modifying values easily. You can combine accessors
 of a record and sub-records to make the access look like the fields
 of the sub-record belong to the main record.
 .
 ${haskell:Blurb}

Package: libghc-data-accessor-prof
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Utilities for accessing and manipulating fields of records${haskell:ShortBlurb}
 With this library you can define record field accessors which allow
 setting, getting and modifying values easily. You can combine accessors
 of a record and sub-records to make the access look like the fields
 of the sub-record belong to the main record.
 .
 ${haskell:Blurb}

Package: libghc-data-accessor-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: Utilities for accessing and manipulating fields of records${haskell:ShortBlurb}
 With this library you can define record field accessors which allow
 setting, getting and modifying values easily. You can combine accessors
 of a record and sub-records to make the access look like the fields
 of the sub-record belong to the main record.
 .
 ${haskell:Blurb}
